html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

table thead {
    background: #00164d;
    color: white;
}

.table_options {
    display: flex;
    flex-wrap: wrap;
    max-width: fit-content;
    gap: 10px;
    margin: auto;
}

.table_options > a > span {
    color: #8e48ff;
}

.table_options > a {
    color: #8e48ff !important;
    text-decoration: none !important;
}

nav a {
    color: #00164d !important;
}

input[type="checkbox"] {
    position: relative;
    border: 2px solid #000;
    border-radius: 2px;
    background: none;
    cursor: pointer;
    line-height: 0;
    margin: 0 0.6em 0 0;
    outline: 0;
    padding: 0 !important;
    vertical-align: text-top;
    height: 15px;
    width: 15px;
    -webkit-appearance: none;
    opacity: 0.5;
}

input[type="checkbox"]:hover {
    opacity: 1;
}

input[type="checkbox"]:checked {
    background-color: #8e48ff;
    opacity: 1;
}

input[type="checkbox"]:before {
    content: "";
    position: absolute;
    right: 50%;
    top: 50%;
    width: 4px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    margin: -1px -1px 0 -1px;
    transform: rotate(45deg) translate(-50%, -50%);
    z-index: 2;
}

.btn-success-impulsa {
    color: #fff;
    background-color: #53f5b1 !important;
    border-color: #53f5b1 !important;
}

.btn-primary-impulsa {
    color: #fff;
    background-color: #00164d !important;
    border-color: #00164d !important;
}

.text-primary-impulsa {
    --bs-text-opacity: 1;
    color: #00164d !important;
}

.btn-info-impulsa {
    color: #fff;
    background-color: #0051e1 !important;
    border-color: #0051e1 !important;
}

.btn-default-impulsa {
    background: #e2e7e9;
    border-color: #e0e9eb;
    color: #a8b7bd;
}

.btn-secundary-impulsa {
    background-color: #e2e7e9;
    border-color: #e0e9eb;
    color: #000000;
}

.btn-registrar {
    background: #ffffff;
    border: 2px solid #022c43;
    color: #022c43;
    font-size: 16px;
    padding: 10px 20px;
    width: 80%;
    border-radius: 4px;
}

.btn-registrar:hover,
.btn-registrar:active .btn-registrar:focus {
    border: 2px solid #022c43;
    color: #022c43;
}
.btn-primary-impulsa:hover {
    opacity: 0.8 !important;
    color: #fff;
}

.dropdown-menu-xl-width {
    min-width: 14rem !important;
}

.small-font-table {
    font-size: 13px;
}

#loadingOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    z-index: 9999;
    display: none;
    align-items: center;
    justify-content: center;
}

#loadingOverlay .spinner {
    border: 16px solid #f3f3f3;
    border-top: 16px solid #3498db;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}